@import 'libs/shared/assets/src/global-style/color';
@import 'libs/shared/assets/src/global-style/variable';

.main-job-permission {
  margin: 0 1.5rem;
  .content {
    padding-left: 1%;
  }

  .main-job-description {
    width: 100%;
    display: flex;
    justify-content: space-between;
    background: $white;
    padding: 24px 18px;
    border-radius: 14px;

    &__left {
      display: flex;
      align-items: center;

      &__pointer {
        cursor: pointer;
      }

      &__title {
        margin-left: 12px;
        margin-bottom: 0px;
      }
    }
  }
}
.w-50 {
  width: 50%;
}

.pb-2 {
  padding-bottom: 0.5rem;
}
.user-permission-card {
  border-radius: 14px;
  ::ng-deep {
    .ant-card-body {
      padding: 8px;
    }
  }
}
.ant-divider.divider.ant-divider-horizontal {
  margin: 12px 0;
}
.search-container {
  display: flex;
  align-items: center;
  .w-50 {
    width: 50%;
  }
  .input {
    width: 99.5%;
    border-radius: 8px;
    min-height: 40px;
    border: 1px solid $border-color;
    padding: 4px 11px;
    &:hover, &:focus {
      border: 1px solid $primary-button-color;
      box-shadow: none;
    }
    &:focus-visible {
      outline: none;
      border: 1px solid $primary-button-color;
    }
  }

  .bt-center {
    align-self: center;
    ::ng-deep {
      button {
        width: 42px;
      }
    }
  }
}
.action-top_header {
  display: flex;
  justify-content: space-between;
  .search-left {
    width: 44%;
  }
  .search-right {
    width: 50%;
  }

  .export-container {
    .search-button {
      border-radius: 6px;
      display: flex;
      align-items: center;
      padding: 8px 10px;
      font-size: 14px;
      min-height: 45px;
      background: $white;
      border: 1px solid $background-primary-button-color;
      margin-left: 16px;
      font-weight: 600;
      min-width: 36px;
      color: $primary-button-color;
    }
  }

  padding-bottom: 1rem;
}

.permissonaction_head {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1rem 0;
  .permissonaction_head__left {
    &__label {
      font-weight: 600;
      font-size: 14px;
    }
    width: 42%;
  }
  .select {
    width: 90%;
    ::ng-deep {
      .ant-select-selector {
        border-radius: 10px;
        min-height: 2.5rem;
        display: flex;
        align-items: center;
      }
    }
  }
}

.pagination-user {
  display: flex;
  align-items: center;
  &__icon {
    width: 100%;
    margin-top: 0 !important;
    display: flex;
    min-height: 40px;
    align-items: center;
    justify-content: flex-end;
  }

  &__table-info {
    display: flex;
    column-gap: 10px;
    align-items: center;
    min-height: 40px;
    justify-content: flex-start;
    &--text {
      white-space: nowrap;
      font-style: normal;
      font-weight: 400;
      font-size: 14px;
      line-height: 150%;
      color: $text-pagination;
    }
  }
}

.container-right {
  padding-left: 1.5rem;
}

.btn-import {
  float: right;
  margin: 0 5px 5px 0;
}

.upc-btn-center {
  position: fixed;
  top: 134px;
  z-index: 1000;
  right: 25px;
}

.data-table {
  .table-header > th {
    background: $color-th;
    color: $text-pagination;
    font-family: avertaB, sans-serif;
  }
  .row-table:hover > td {
    background: $hover-table-row;
  }
  .activeRow {
    background-color: $active-color;
    color: $white-color;
    ::ng-deep {
      .ant-table-row-indent+.ant-table-row-expand-icon{
        color: $active-color-button;
      }
    }
    &:hover {
      background-color: $active-color;
      color: $white-color;
      td {
        background-color: $active-color;
        color: $white-color;
        button {
          color: $active-color-button;
        }
      }
    }
  }
}
